# -*- coding: utf-8 -*-
# vim: ts=4 sw=4 tw=100 et ai si
#
# Copyright (C) 2020-2022 Intel Corporation
# SPDX-License-Identifier: BSD-3-Clause
#
# Author: Artem Bityutskiy <artem.bityutskiy@linux.intel.com>

"""
This module contains misc. helper functions that can be transparently used on local and remote
systems.
"""

import time

def time_time(pman=None):
    """
    Same as standard python 'time.time()' function - returns time since epoch on the host defined by
    'pman' (local host by default).
    """

    if not pman or not pman.is_remote:
        return time.time()
    return float(pman.run_verify("date +%s")[0].strip())
